Cantera 2.6.0

Public Member Functions | Public Attributes | List of all members
ResidData Class Reference

A simple class to hold an array of parameter values and a pointer to an instance of a subclass of ResidEval. More...

Collaboration diagram for ResidData:
[legend]

## Public Member Functions
| ResidData (ResidJacEval *f, IDA_Solver *s, int npar=0)

## Public Attributes
ResidJacEval * | m_func
IDA_Solver * | m_solver

## Detailed Description

A simple class to hold an array of parameter values and a pointer to an instance of a subclass of ResidEval.

Definition at line 43 of file IDA_Solver.cpp.

## Constructor & Destructor Documentation

## ◆ ResidData()

ResidData | ( | ResidJacEval * | f,
|  | IDA_Solver * | s,
|  | int | npar = `0`
| ) |  |
| inline

Definition at line 46 of file IDA_Solver.cpp.

## ◆ ~ResidData()

virtual ~ResidData | ( |  | ) |
| inline virtual

Definition at line 51 of file IDA_Solver.cpp.

## Member Data Documentation

## ◆ m_func

ResidJacEval* m_func

Definition at line 54 of file IDA_Solver.cpp.

## ◆ m_solver

IDA_Solver* m_solver

Definition at line 55 of file IDA_Solver.cpp.

The documentation for this class was generated from the following file:

- IDA_Solver.cpp